summaryrefslogtreecommitdiffstats
path: root/network/wavemon
diff options
context:
space:
mode:
author adev <adev@linuxmail.org>2010-05-11 22:55:04 +0200
committer Michiel van Wessem <michiel@slackbuilds.org>2010-05-11 22:55:04 +0200
commitc86285a9d41edd90398b6f89901e66316636004e (patch)
treee0b7efdfa46a049c1a6c5cedf63c02742618704e /network/wavemon
parentf272bb68d41a4ecfba9fabd4b473b400833367f7 (diff)
downloadslackbuilds-c86285a9d41edd90398b6f89901e66316636004e.tar.gz
slackbuilds-c86285a9d41edd90398b6f89901e66316636004e.tar.xz
network/wavemon: Added to 12.1 repository
Diffstat (limited to 'network/wavemon')
-rw-r--r--network/wavemon/README6
-rw-r--r--network/wavemon/patches/wavemon-gcc34.patch51
-rw-r--r--network/wavemon/patches/wavemon-gcc4.patch12
-rw-r--r--network/wavemon/patches/wavemon-header.patch11
-rw-r--r--network/wavemon/slack-desc19
-rw-r--r--network/wavemon/wavemon.SlackBuild73
-rw-r--r--network/wavemon/wavemon.info8
7 files changed, 180 insertions, 0 deletions
diff --git a/network/wavemon/README b/network/wavemon/README
new file mode 100644
index 0000000000..c367a54cee
--- /dev/null
+++ b/network/wavemon/README
@@ -0,0 +1,6 @@
+wavemon is a ncurses-based monitor for wireless devices. It allows you to
+watch the signal and noise levels, packet statistics, device configuration,
+and network parameters of your wireless network hardware. It has currently
+only been tested with the Lucent Orinoco series of cards, although it
+should work (with varying features) with all devices supported by the
+wireless kernel extensions.
diff --git a/network/wavemon/patches/wavemon-gcc34.patch b/network/wavemon/patches/wavemon-gcc34.patch
new file mode 100644
index 0000000000..c1bb24489c
--- /dev/null
+++ b/network/wavemon/patches/wavemon-gcc34.patch
@@ -0,0 +1,51 @@
+--- conf.c.orig 2008-06-12 00:34:23.000000000 -0400
++++ conf.c 2008-06-12 00:41:27.000000000 -0400
+@@ -410,7 +410,7 @@
+ }
+ break;
+ case t_sep: /* gcc -Wall sucks */
+- case t_func:
++ case t_func: break;
+ }
+ }
+ }
+@@ -481,7 +481,7 @@
+ break;
+ case t_listval: sprintf(rv, "%s", (char *)ci->v);
+ case t_sep: break;
+- case t_func:
++ case t_func: break;
+ }
+
+ add = 1;
+--- conf_scr.c.orig 2008-06-12 00:34:32.000000000 -0400
++++ conf_scr.c 2008-06-12 00:42:17.000000000 -0400
+@@ -63,7 +63,7 @@
+ case t_listval: strncpy(s, (char *)item->v, 32);
+ break;
+ case t_sep: /* gcc -Wall sucks */
+- case t_func:
++ case t_func: break;
+ }
+
+ if (!item->unit) {
+@@ -136,7 +136,7 @@
+ strncpy((char *)item->v, ll_get(item->list, tmp), 32);
+ break;
+ case t_sep: /* gcc -Wall sucks */
+- case t_func:
++ case t_func: break;
+ }
+ }
+
+--- wavemon.c.orig 2008-06-11 22:09:07.000000000 -0400
++++ wavemon.c 2008-06-11 22:09:15.000000000 -0400
+@@ -170,7 +170,7 @@
+
+ if (conf.dump == 1) {
+ dump_parameters(&conf);
+- exit();
++ exit(0);
+ }
+
+ /* initialize the ncurses interface */
diff --git a/network/wavemon/patches/wavemon-gcc4.patch b/network/wavemon/patches/wavemon-gcc4.patch
new file mode 100644
index 0000000000..dd1b6ce413
--- /dev/null
+++ b/network/wavemon/patches/wavemon-gcc4.patch
@@ -0,0 +1,12 @@
+--- llist.c.orig 2008-06-12 02:41:16.000000000 -0400
++++ llist.c 2008-06-12 02:42:31.000000000 -0400
+@@ -351,8 +351,7 @@
+ case 'd': l->e = (void *)malloc(sizeof(int));
+ *((int *)l->e) = va_arg(*ap, int);
+ break;
+- case 's': l->e = (void *)malloc(sizeof(char *));
+- (char *)l->e = strdup(va_arg(*ap, char *));
++ case 's': l->e = (void*)strdup(va_arg(*ap, char *));
+ break;
+ case 'f': l->e = (void *)malloc(sizeof(double));
+ *((double *)l->e) = va_arg(*ap, double);
diff --git a/network/wavemon/patches/wavemon-header.patch b/network/wavemon/patches/wavemon-header.patch
new file mode 100644
index 0000000000..e1b48bfb53
--- /dev/null
+++ b/network/wavemon/patches/wavemon-header.patch
@@ -0,0 +1,11 @@
+--- iw_if.h.orig 2008-06-11 22:04:16.000000000 -0400
++++ iw_if.h 2008-06-11 22:04:38.000000000 -0400
+@@ -19,6 +19,8 @@
+ */
+
+ #include <netdb.h>
++#include <linux/types.h>
++#include <linux/if.h>
+ #include <linux/wireless.h>
+
+ #define IW_STACKSIZE 1024
diff --git a/network/wavemon/slack-desc b/network/wavemon/slack-desc
new file mode 100644
index 0000000000..03c28ef60b
--- /dev/null
+++ b/network/wavemon/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler----------------------------------------------------|
+wavemon: wavemon (status monitor for wireless network devices)
+wavemon:
+wavemon: wavemon is a ncurses-based monitor for wireless devices. It allows
+wavemon: you to watch the signal and noise levels, packet statistics, device
+wavemon: configuration, and network parameters of your wireless network
+wavemon: hardware.
+wavemon:
+wavemon: Homepage: http://www.janmorgenstern.de/projects-software.html
+wavemon:
+wavemon:
+wavemon:
diff --git a/network/wavemon/wavemon.SlackBuild b/network/wavemon/wavemon.SlackBuild
new file mode 100644
index 0000000000..0db97cb059
--- /dev/null
+++ b/network/wavemon/wavemon.SlackBuild
@@ -0,0 +1,73 @@
+#!/bin/bash
+
+# Slackware build script for wavemon
+
+PRGNAM=wavemon
+VERSION=${VERSION:-0.4.0b}
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-current.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+# For support with the 2.6 kernels
+patch -p0 < $CWD/patches/wavemon-header.patch
+# For compliance with gcc 3.4 standards
+patch -p0 < $CWD/patches/wavemon-gcc34.patch
+# (char *)var is not an lvalue, and strdup already does malloc
+patch -p0 < $CWD/patches/wavemon-gcc4.patch
+
+./configure \
+ --prefix=/usr \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --build=$ARCH-slackware-linux
+
+make CFLAGS="$SLKCFLAGS -Wall"
+
+strip --strip-unneeded wavemon 2>/dev/null || true
+mkdir -p $PKG/usr/bin
+install -m 0755 wavemon $PKG/usr/bin/
+
+mkdir -p $PKG/usr/man/{man1,man5}
+gzip -9c wavemon.1 > $PKG/usr/man/man1/wavemon.1.gz
+gzip -9c wavemonrc.5 > $PKG/usr/man/man5/wavemonrc.5.gz
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a AUTHORS COPYING Changelog README RELEASE_DATE TODO VERSION \
+ $CWD/$PRGNAM.SlackBuild $PKG/usr/doc/$PRGNAM-$VERSION
+chown -R root:root $PKG/usr/doc
+chmod 0644 $PKG/usr/doc/$PRGNAM-$VERSION/*
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/network/wavemon/wavemon.info b/network/wavemon/wavemon.info
new file mode 100644
index 0000000000..c7058c8b0a
--- /dev/null
+++ b/network/wavemon/wavemon.info
@@ -0,0 +1,8 @@
+PRGNAM="wavemon"
+VERSION="0.4.0b"
+HOMEPAGE="http://www.janmorgenstern.de/projects-software.html"
+DOWNLOAD="http://www.janmorgenstern.de/wavemon-current.tar.gz"
+MD5SUM="2baab37eb967fc38dc53f8e4f609daac"
+MAINTAINER="adev"
+EMAIL="adev@linuxmail.org"
+APPROVED="Michiel,rworkman"